Index: squid/win/squidnt/squidnt.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.mak,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.5.2.1
diff -u -r1.1.2.5 -r1.1.2.5.2.1
--- squid/win/squidnt/squidnt.mak	15 Jul 2001 08:49:38 -0000	1.1.2.5
+++ squid/win/squidnt/squidnt.mak	27 Aug 2001 21:48:23 -0000	1.1.2.5.2.1
@@ -1154,9 +2397,9 @@
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
-CPP_SWITCHES=/nologo /G6 /MTd /W4 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_SWITCHES=/nologo /G6 /MTd /W4 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fr"$(INTDIR)\\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 
-"$(INTDIR)\tools.obj" : $(SOURCE) "$(INTDIR)"
+"$(INTDIR)\tools.obj"	"$(INTDIR)\tools.sbr" : $(SOURCE) "$(INTDIR)"
 	$(CPP) @<<
   $(CPP_SWITCHES) $(SOURCE)
 <<
@@ -1166,66 +2409,162 @@
 
 SOURCE=..\..\src\unlinkd.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\unlinkd.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\unlinkd.obj"	"$(INTDIR)\unlinkd.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\url.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\url.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\url.obj"	"$(INTDIR)\url.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\urn.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\urn.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\urn.obj"	"$(INTDIR)\urn.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\useragent.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\useragent.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\useragent.obj"	"$(INTDIR)\useragent.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\wais.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\wais.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\wais.obj"	"$(INTDIR)\wais.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\wccp.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\wccp.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\wccp.obj"	"$(INTDIR)\wccp.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\whois.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\whois.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\whois.obj"	"$(INTDIR)\whois.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\win32.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\win32.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\win32.obj"	"$(INTDIR)\win32.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\squid.rc
 
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 
 "$(INTDIR)\squid.res" : $(SOURCE) "$(INTDIR)"
-	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\nt-2.3\win" /d "NDEBUG" $(SOURCE)
+	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\squidnt23\win" /d "NDEBUG" $(SOURCE)
 
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 
 "$(INTDIR)\squid.res" : $(SOURCE) "$(INTDIR)"
-	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\nt-2.3\win" /d "_DEBUG" $(SOURCE)
+	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\squidnt23\win" /d "_DEBUG" $(SOURCE)
 
 
 !ENDIF 
@@ -1233,25 +2572,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "miscutil - Win32 Release" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" 
    cd "..\squidnt"
 
 "miscutil - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "miscutil - Win32 Debug" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" 
    cd "..\squidnt"
 
 "miscutil - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ENDIF 
@@ -1265,25 +2604,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "NT_auth - Win32 Release" : 
-   cd "\work\nt-2.3\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Release" 
+   cd "\work\squidnt23\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Release" 
    cd "..\..\win\squidnt"
 
 "NT_auth - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "NT_auth - Win32 Debug" : 
-   cd "\work\nt-2.3\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Debug" 
+   cd "\work\squidnt23\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Debug" 
    cd "..\..\win\squidnt"
 
 "NT_auth - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ENDIF 
@@ -1291,25 +2630,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "NCSA_auth - Win32 Release" : 
-   cd "\work\nt-2.3\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Release" 
+   cd "\work\squidnt23\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Release" 
    cd "..\..\win\squidnt"
 
 "NCSA_auth - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "NCSA_auth - Win32 Debug" : 
-   cd "\work\nt-2.3\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Debug" 
+   cd "\work\squidnt23\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Debug" 
    cd "..\..\win\squidnt"
 
 "NCSA_auth - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ENDIF 
@@ -1317,51 +2656,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "cachemgr - Win32 Release" : 
-   cd "\work\nt-2.3\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Release" 
+   cd "\work\squidnt23\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Release" 
    cd "..\squidnt"
 
 "cachemgr - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Release" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "cachemgr - Win32 Debug" : 
-   cd "\work\nt-2.3\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Debug" 
+   cd "\work\squidnt23\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Debug" 
    cd "..\squidnt"
 
 "cachemgr - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Debug" RECURSE=1 CLEAN 
-   cd "..\squidnt"
-
-!ENDIF 
-
-!IF  "$(CFG)" == "squidnt - Win32 Release"
-
-"dnsserver - Win32 Release" : 
-   cd "\work\nt-2.3\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Release" 
-   cd "..\squidnt"
-
-"dnsserver - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Release" RECURSE=1 CLEAN 
-   cd "..\squidnt"
-
-!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
-
-"dnsserver - Win32 Debug" : 
-   cd "\work\nt-2.3\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Debug" 
-   cd "..\squidnt"
-
-"dnsserver - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ENDIF 
@@ -1369,25 +2682,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "LDAP_auth - Win32 Release" : 
-   cd "\work\nt-2.3\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Release" 
+   cd "\work\squidnt23\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Release" 
    cd "..\..\win\squidnt"
 
 "LDAP_auth - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "LDAP_auth - Win32 Debug" : 
-   cd "\work\nt-2.3\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Debug" 
+   cd "\work\squidnt23\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Debug" 
    cd "..\..\win\squidnt"
 
 "LDAP_auth - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ENDIF 
@@ -1395,24 +2708,24 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "Perl Preprocessing - Win32 Release" : 
-   cd "\work\nt-2.3\win"
+   cd "\work\squidnt23\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Release" 
    cd ".\squidnt"
 
 "Perl Preprocessing - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win"
+   cd "\work\squidnt23\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Release" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "Perl Preprocessing - Win32 Debug" : 
-   cd "\work\nt-2.3\win"
+   cd "\work\squidnt23\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug" 
    cd ".\squidnt"
 
 "Perl Preprocessing - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win"
+   cd "\work\squidnt23\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
@@ -1421,52 +2734,208 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "squid_conf - Win32 Release" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Release" 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Release" 
    cd ".\squidnt"
 
 "squid_conf - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Release" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "squid_conf - Win32 Debug" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Debug" 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Debug" 
    cd ".\squidnt"
 
 "squid_conf - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win"
+   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Debug" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
 !ENDIF 
 
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
+"dnsserver - Win32 Release" : 
+   cd "\work\squidnt23\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Release" 
+   cd "..\squidnt"
+
+"dnsserver - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"dnsserver - Win32 Debug" : 
+   cd "\work\squidnt23\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Debug" 
+   cd "..\squidnt"
+
+"dnsserver - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"unlinkd - Win32 Release" : 
+   cd "\work\squidnt23\win\unlinkd"
+   $(MAKE) /$(MAKEFLAGS) /F .\unlinkd.mak CFG="unlinkd - Win32 Release" 
+   cd "..\squidnt"
+
+"unlinkd - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win\unlinkd"
+   $(MAKE) /$(MAKEFLAGS) /F .\unlinkd.mak CFG="unlinkd - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"unlinkd - Win32 Debug" : 
+   cd "\work\squidnt23\win\unlinkd"
+   $(MAKE) /$(MAKEFLAGS) /F .\unlinkd.mak CFG="unlinkd - Win32 Debug" 
+   cd "..\squidnt"
+
+"unlinkd - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win\unlinkd"
+   $(MAKE) /$(MAKEFLAGS) /F .\unlinkd.mak CFG="unlinkd - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"client - Win32 Release" : 
+   cd "\work\squidnt23\win\client"
+   $(MAKE) /$(MAKEFLAGS) /F .\client.mak CFG="client - Win32 Release" 
+   cd "..\squidnt"
+
+"client - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win\client"
+   $(MAKE) /$(MAKEFLAGS) /F .\client.mak CFG="client - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"client - Win32 Debug" : 
+   cd "\work\squidnt23\win\client"
+   $(MAKE) /$(MAKEFLAGS) /F .\client.mak CFG="client - Win32 Debug" 
+   cd "..\squidnt"
+
+"client - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win\client"
+   $(MAKE) /$(MAKEFLAGS) /F .\client.mak CFG="client - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"pinger - Win32 Release" : 
+   cd "\work\squidnt23\win\pinger"
+   $(MAKE) /$(MAKEFLAGS) /F .\pinger.mak CFG="pinger - Win32 Release" 
+   cd "..\squidnt"
+
+"pinger - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\win\pinger"
+   $(MAKE) /$(MAKEFLAGS) /F .\pinger.mak CFG="pinger - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"pinger - Win32 Debug" : 
+   cd "\work\squidnt23\win\pinger"
+   $(MAKE) /$(MAKEFLAGS) /F .\pinger.mak CFG="pinger - Win32 Debug" 
+   cd "..\squidnt"
+
+"pinger - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\win\pinger"
+   $(MAKE) /$(MAKEFLAGS) /F .\pinger.mak CFG="pinger - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\squidnt"
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"chpasswd - Win32 Release" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Release" 
+   cd "..\..\win\squidnt"
+
+"chpasswd - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\..\win\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"chpasswd - Win32 Debug" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Debug" 
+   cd "..\..\win\squidnt"
+
+"chpasswd - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\contrib\chpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\chpasswd.mak CFG="chpasswd - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\..\win\squidnt"
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"htpasswd - Win32 Release" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Release" 
+   cd "..\..\win\squidnt"
+
+"htpasswd - Win32 ReleaseCLEAN" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\..\win\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"htpasswd - Win32 Debug" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Debug" 
+   cd "..\..\win\squidnt"
+
+"htpasswd - Win32 DebugCLEAN" : 
+   cd "\work\squidnt23\contrib\htpasswd"
+   $(MAKE) /$(MAKEFLAGS) /F .\htpasswd.mak CFG="htpasswd - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\..\win\squidnt"
+
+!ENDIF 
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
 "libsnmp - Win32 Release" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Release" 
-   cd ".\squidnt"
+   cd "\work\squidnt23\win\libsnmp"
+   $(MAKE) /$(MAKEFLAGS) /F .\libsnmp.mak CFG="libsnmp - Win32 Release" 
+   cd "..\squidnt"
 
 "libsnmp - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Release" RECURSE=1 CLEAN 
-   cd ".\squidnt"
+   cd "\work\squidnt23\win\libsnmp"
+   $(MAKE) /$(MAKEFLAGS) /F .\libsnmp.mak CFG="libsnmp - Win32 Release" RECURSE=1 CLEAN 
+   cd "..\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "libsnmp - Win32 Debug" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Debug" 
-   cd ".\squidnt"
+   cd "\work\squidnt23\win\libsnmp"
+   $(MAKE) /$(MAKEFLAGS) /F .\libsnmp.mak CFG="libsnmp - Win32 Debug" 
+   cd "..\squidnt"
 
 "libsnmp - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win"
-   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Debug" RECURSE=1 CLEAN 
-   cd ".\squidnt"
+   cd "\work\squidnt23\win\libsnmp"
+   $(MAKE) /$(MAKEFLAGS) /F .\libsnmp.mak CFG="libsnmp - Win32 Debug" RECURSE=1 CLEAN 
+   cd "..\squidnt"
 
 !ENDIF 
 
